Subject: Re: bug#27796: 26.0.50; elpa unsigned file archive-contents

From: Glenn Morris <[email-masked]>
Date: Tue, 25 Jul 2017 14:06:28 -0400

After faffing around with debug statements, I think the problem is that
sometimes url-retrieving "https://elpa.gnu.org/packages/archive-contents.sig"
returns
    
    HTTP/1.1 400 Bad Request
    [...]
    Your browser sent a request that this server could not understand.
    Reason: You're speaking plain HTTP to an SSL-enabled server port.
     Instead use the HTTPS scheme to access this URL, please.

I have no idea whether this is a problem in url.el or elpa.gnu.org.